using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.SK;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("管控部门")]
    public class T_SK_ENTERPRISE_LIBRARY_TEMP_MEASURE_DEPART : MesEntityBase
    {
        [Description("企业库")]
        [DataFieldForeignKey("Nav_Measure", "Nav_Departs")]
        public Guid ENTERPRISE_LIBRARY_TEMP_MEASURE_ID { get; set; }

        /// <summary>
        /// 导航属性：企业库
        /// </summary>
        [Description("导航属性：企业库")]
        public T_SK_ENTERPRISE_LIBRARY_TEMP_MEASURE Nav_Measure { get; set; }
        [Description("管控层级")]
        [EnumName("SKDepartmentTypeEnum")]
        public SKDepartmentTypeEnum DEPARTMENT_TYPE { get; set; }
        [Description("管控部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：管控部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
        [Description("管控责任人")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航属性：管控责任人")]
        public T_FM_USER Nav_User { get; set; }
        [Description("管控措施编号")]
        public string MEASURE_CODE { get; set; }
        [Description("顺序")]
        public int? NUM { get; set; }
    }
}
